image: python:3.8

pages:
    before_script: 
        - pip install pytest-cov pytest-html
    script:
    - pytest --cov=. --cov-report html:public
    - pytest --html=public/report.html
    artifacts:
     paths:
      - public

codecov:
    before_script:
     - pip install pytest-cov pytest-html
    script:
     - coverage run -m pytest
     - coverage report
     - coverage xml
    coverage: '/^TOTAL\s+\d+\s+\d+\s+(\d+\%)/'
    artifacts:
        reports:
            coverage_report:
                coverage_format: cobertura
                path: coverage.xml
